Summary:	C++ Framework for creating GNOME applications
Summary(pl.UTF-8):	Struktura C++ do tworzenia programów dla GNOME
Name:		bakery
Version:	2.6.3
Release:	4
License:	LGPL v2+
Group:		X11/Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/bakery/2.6/%{name}-%{version}.tar.bz2
# Source0-md5:	49d28fecf13252f4f2899461505e56e5
# http://bugzilla.gnome.org/show_bug.cgi?id=564168
Patch0:		%{name}-release-version.patch
URL:		http://bakery.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gconfmm-devel >= 2.16.0
BuildRequires:	gettext-tools
BuildRequires:	glibmm-devel >= 2.16.0
BuildRequires:	gtkmm-devel >= 2.10.5
BuildRequires:	intltool
BuildRequires:	libglademm-devel >= 2.6.3
BuildRequires:	libstdc++-devel >= 6:4.3
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml++2-devel >= 2.24.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	gconfmm >= 2.16.0
Requires:	gtkmm >= 2.10.5
Requires:	libglademm >= 2.6.3
Requires:	libxml++2 >= 2.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bakery is a C++ Framework for creating document-based GNOME
applications using gtkmm and/or gnomemm.

- provides a Document/View architecture,
- can use XML as a Document storage format,
- provides default functionality, which can be easily customized,
- makes it easy to start developing GNOME applications,
- gives your application structure,
- contains a few utility classes.

%description -l pl.UTF-8
Bakery jest strukturą C++ do tworzenia opartych na dokumentach
programów dla GNOME przy użyciu gtkmm i/lub gnomemm.

- dostarcza architektury Dokument/Widok
- może używać XML jako formatu zapisu Dokumentu,
- dostarcza domyślnej, łatwo modyfikowalnej funkcjonalności,
- pozwala na łatwy start w tworzeniu aplikacji GNOME,
- nadaje aplikacji format,
- zawiera kilka klas użytkowych

%package devel
Summary:	Bakery header files
Summary(pl.UTF-8):	Pliki nagłówkowe Bakery
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gconfmm-devel >= 2.16.0
Requires:	glibmm-devel >= 2.16.0
Requires:	gtkmm-devel >= 2.10.5
Requires:	libglademm-devel >= 2.6.3
Requires:	libxml++2-devel >= 2.24.0

%description devel
Header files for Bakery framework.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla struktury Bakery.

%package static
Summary:	Static Bakery library
Summary(pl.UTF-8):	Statyczna biblioteka Bakery
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Bakery library.

%description static -l pl.UTF-8
Statyczna biblioteka Bakery.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# for glibmm 2.46+/libxml++ 2.40+
CXXFLAGS="%{rpmcxxflags} -std=c++0x"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libbakery-*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libbakery-2.6-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbakery-2.6-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbakery-2.6.so
%dir %{_libdir}/bakery-2.6
%{_libdir}/bakery-2.6/include
%{_includedir}/bakery-2.6
%{_pkgconfigdir}/bakery-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbakery-2.6.a
%changelog
* Tue Feb 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bakery.git;a=log;h=master

* Tue Feb 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 4bac889
- pass -std to enable C++ 11 for glibmm/libxml++; release 4

* Sun Feb 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 670675f
- adjusted for libxml++2; release 3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2bcd993
- updated gettext BR

* Tue Feb 08 2011 Artur Frysiak <artur@frysiak.net> 42db6bf
- drop libtool file
- rel. 2

* Wed Feb 11 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 6a2e634
- updated to 2.6.3
- added -release-version.patch

* Wed Feb 11 2009 Marcin Banasiak <marcin.banasiak@gmail.com> d85e2cd
- http://bugzilla.gnome.org/show_bug.cgi?id=564168

* Tue Jan 20 2009 duddits <duddits@pld-linux.org> de8cb86
- up to 2.4.4

* Sun Nov 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 50e3ed4
- release 3

* Mon Apr 07 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3e88634
- package all files
- release 2

* Thu Dec 20 2007 Jakub Bogusz <qboosh@pld-linux.org> 93d5283
- reverted false libcap BR, fix your GNOME libs

* Thu Dec 20 2007 Jakub Bogusz <qboosh@pld-linux.org> 4b612c6
- LGPL v2+

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> b99a400
- up to 2.4.3

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 33b5fd6
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 51f6e44
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e0cbc6f
- converted to UTF-8

* Fri Dec 22 2006 Marcin Banasiak <marcin.banasiak@gmail.com> a20fcde
- up to 2.4.1

* Fri Aug 11 2006 freetz <freetz@pld-linux.org> 2409aee
- ues HEAD deps

* Thu Aug 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 16ae0f8
- merged update to 2.4.0 from AC-branch

* Fri Mar 17 2006 freetz <freetz@pld-linux.org> f6767e7
- 2.3.17

* Mon Jun 27 2005 zbyniu <zbyniu@pld-linux.org> 44a834b
- BR: gettext-devel

